Get relationship
curl --request GET \
--url https://api.getcargo.io/v1/storage/relationships/{uuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getcargo.io/v1/storage/relationships/{uuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getcargo.io/v1/storage/relationships/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"relationship": {
"uuid": "<string>",
"workspaceUuid": "<string>",
"fromDatasetUuid": "<string>",
"fromModelUuid": "<string>",
"fromColumnSlug": "<string>",
"fromPropertySlug": "<string>",
"toDatasetUuid": "<string>",
"toModelUuid": "<string>",
"toColumnSlug": "<string>",
"toPropertySlug": "<string>",
"fromSelectedColumnSlugs": [
"<string>"
],
"toSelectedColumnSlugs": [
"<string>"
]
}
}Storage - Relationships
Get relationship
Get a relationship by UUID
GET
/
storage
/
relationships
/
{uuid}
Get relationship
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Relationship identifier.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Response
Successful response
Relationship details.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

